<body>
  <mat-card>
    <mat-card-content style="background-color: whitesmoke">
      <button
        type="button"
        class="btn btn-light col-2 mx-3"
        [matMenuTriggerFor]="menu"
      >
        Menu
      </button>
      <button
        type="button"
        class="btn btn-light col-2 mx-2"
        [matMenuTriggerFor]="menu"
      >
        New Cars
      </button>
      <button
        type="button"
        class="btn btn-light col-2 mx-3"
        [matMenuTriggerFor]="menu"
      >
        Used Cars
      </button>
      <button
        type="button"
        class="btn btn-light col-2 mx-4"
        [matMenuTriggerFor]="menu"
      >
        Sell Cars
      </button>
      <button
        type="button"
        class="btn btn-light col-2 mx-3"
        [matMenuTriggerFor]="menu"
      >
        Car Service
      </button>

      <mat-menu #menu="matMenu">
        <button mat-menu-item>Under Process</button>
        <button mat-menu-item>Under Process</button>
      </mat-menu>
    </mat-card-content>
  </mat-card>

  <!-- ============================================================================================= -->
  <mat-card>
    <mat-card-content class="">
      <form class="form justify-content-center" (ngSubmit)="saveUser()">
        <div class="container my-5">
          <mat-form-field appearance="fill">
            <mat-label>UserName</mat-label>
            <input
              matInput
              placeholder="UserName"
              required
              name="username"
              maxlength="20"
              [(ngModel)]="user.username"
            />
            <mat-error *ngIf="usernameFormControl.hasError('required')">
              This field is required
            </mat-error>
          </mat-form-field>

          <mat-form-field>
            <mat-label>Password</mat-label>
            <input
              matInput
              type="password"
              placeholder="Password"
              required
              [(ngModel)]="user.password"
              name="password"
              maxlength="8"
            />
            <mat-error *ngIf="passwordFormControl.hasError('required')">
              This field is required
            </mat-error>
          </mat-form-field>

          <mat-form-field>
            <mat-label>Email</mat-label>
            <input
              matInput
              type="email"
              placeholder="abc@email.com"
              required
              [(ngModel)]="user.email"
              name="email"
            />
            <mat-error *ngIf="emailFormControl.hasError('required')">
              This field is required
            </mat-error>
          </mat-form-field>

          <mat-form-field appearance="fill">
            <mat-label>Company</mat-label>
            <select matNativeControl [(ngModel)]="user.company" name="company">
              <option label="--choose your company--"></option>
              <option value="TCS">TCS</option>
              <option value="ZOHO">ZOHO</option>
              <option value="CAPGEMNI">CAPGEMNI</option>
              <option value="AMAZON">AMAZON</option>
              <option value="GOOGLE">GOOGLE</option>
              <option value="YOUTUBE">YOUTUBE</option>
              <option value="TATA">TATA</option>
              <option value="ACCENTURE">ACCENTURE</option>
              <option value="WIPRO">WIPRO</option>
              <option value="CodeBoard">CODEBOARD</option>
            </select>
            <mat-error *ngIf="selectFormControl.hasError('required')">
              This field is required
            </mat-error>
          </mat-form-field>

          <div class="btncontrol d-flex justify-content-center">
            <button mat-raised-button color="accent" type="submit"  matTooltip="click to Submit"
            aria-label="Button that displays a tooltip when focused or hovered over">submit</button>
          </div>
          
        </div>
      </form>
    </mat-card-content>
  </mat-card>


</body>
